<script lang="ts">
export default {
  data() {
    return {
      username: '',
      password: ''
    }
  },
  methods: {
    handleLogin() {
      if (this.username === 'admin' && this.password === 'password') {
        this.$store.commit('login', { username: 'admin' });
      }

      this.username = '';
      this.password = '';
    },
    handleLogout() {
      this.$store.commit('logout');
    }
  }
}
</script>

<template>
  <section class="login-form" v-if="!$store.state.user">
    <h1>Login</h1>
    <input v-model="username" />
    <input v-model="password" type="password" />
    <button @click="handleLogin">Login</button>
  </section>
  <section class="user-profile" v-if="$store.state.user">
    <p>Hello, {{ $store.state.user }}</p>
    <button @click="handleLogout">Logout</button>
  </section>
</template>

<style>
@media (min-width: 1024px) {

  section.login-form,
  section.user-profile {
    min-height: 100vh;
    display: flex;
    align-items: center;
    gap: 20px;
    align-content: center;
  }
}
</style>
